Subject: Re: [PATCHv3] submodule--helper: normalize funny urls

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Oct 2016 14:19:12 -0700

Junio C Hamano <[email-masked]> writes:

> Stefan Beller <[email-masked]> writes:
>
>> The remote URL for the submodule can be specified relative
>> ...
>> v3:
>>  * fixed the coding style.
>
> Ah, thanks.  I had a squash queued on top but will replace with this
> one.

Heh, I guess I shouldn't have responded before seeing what this
breaks.  Applied on top of sb/submodule-ignore-trailing-slash, these
seem to break.

    t/trash directory.t3600-rm
    t/trash directory.t7403-submodule-sync
    t/trash directory.t7406-submodule-update
    t/trash directory.t7407-submodule-foreach
    t/trash directory.t7506-status-submodule

Some may be showing broken assumptions of the downstream, two wrongs
compensating each other and correcting one exposing breakage of the
other.  I didn't look at them deeply.